Name:                nodejs-assertion-error
Version:             1.1.0
Release:             1
Summary:             Error constructor for test and validation frameworks
License:             MIT
URL:                 https://github.com/chaijs/assertion-error
Source0:             https://github.com/chaijs/assertion-error/archive/%{version}/assertion-error-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
Error constructor for test and validation frameworks that implements
standardized AssertionError specification.

%prep
%autosetup -n assertion-error-%{version}
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/assertion-error
cp -r package.json index.js %{buildroot}/%{nodejs_sitelib}/assertion-error
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} test/index.js

%files
%doc README.md History.md
%{nodejs_sitelib}/assertion-error

%changelog
* Mon Aug 17 2020 Shaoqiang Kang <kangshaoqiang1@huawei.com> - 1.1.0-1
- Package init
